Opened 6 years ago

Closed 6 years ago

#14715 closed enhancement (fixed)

Gracefully break upgrading from earlier versions

Reported by: jdemeyer Owned by: GeorgSWeber
Priority: blocker Milestone: sage-6.0
Component: build Keywords:
Cc: Merged in:
Authors: Jeroen Demeyer Reviewers: Volker Braun
Report Upstream: N/A Work issues:
Branch: u/jdemeyer/ticket/14715 (Commits) Commit: cd83bc982ab5da16af5c25ecb9d752b24091dbb6
Dependencies: #14232, #14754, #14417 Stopgaps:

Description (last modified by jdemeyer)

If older versions of Sage try to upgrade to Sage 6.0, this should break gracefully. There should be a nice message explaining that it cannot be done, perhaps pointing to http://boxen.math.washington.edu/home/release/sage-5.13/ where the upgrade to Sage 5.13 can be done.

Attachments (1)

14715_no_sage_4x_upgrade.patch (9.6 KB) - added by jdemeyer 6 years ago.

Download all attachments as: .zip

Change History (15)

comment:1 Changed 6 years ago by jdemeyer

  • Dependencies set to #14232

comment:2 Changed 6 years ago by jdemeyer

  • Dependencies changed from #14232 to #14232, #10508

comment:3 Changed 6 years ago by jdemeyer

  • Description modified (diff)

comment:4 Changed 6 years ago by jdemeyer

  • Dependencies changed from #14232, #10508 to #14232, #10508, #14417

comment:5 Changed 6 years ago by jdemeyer

  • Authors set to Jeroen Demeyer
  • Status changed from new to needs_review

Changed 6 years ago by jdemeyer

comment:6 Changed 6 years ago by jdemeyer

  • Dependencies changed from #14232, #10508, #14417 to #14232, #14754, #14417

comment:7 Changed 6 years ago by vbraun

  • Reviewers set to Volker Braun
  • Status changed from needs_review to positive_review

Looks good to me

comment:8 Changed 6 years ago by jdemeyer

  • Milestone changed from sage-5.11 to sage-5.12

comment:9 Changed 6 years ago by jdemeyer

  • Status changed from positive_review to needs_work

There are issues with sage-env when GCC is installed upon upgrading.

comment:10 Changed 6 years ago by jdemeyer

  • Description modified (diff)
  • Milestone changed from sage-5.13 to sage-6.0
  • Priority changed from major to blocker
  • Summary changed from Drop support for upgrades from Sage versions <5.0 to Gracefully break upgrading from earlier versions

comment:11 Changed 6 years ago by jdemeyer

  • Branch set to u/jdemeyer/ticket/14715
  • Created changed from 06/10/13 11:36:04 to 06/10/13 11:36:04
  • Modified changed from 12/12/13 08:28:20 to 12/12/13 08:28:20

comment:12 Changed 6 years ago by jdemeyer

  • Commit set to cd83bc982ab5da16af5c25ecb9d752b24091dbb6
  • Status changed from needs_work to needs_review

New commits:

cd83bc9Gracefully break upgrading from earlier versions

comment:13 Changed 6 years ago by vbraun

  • Status changed from needs_review to positive_review

lgtm

comment:14 Changed 6 years ago by vbraun

  • Resolution set to fixed
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.